X2Go Bug report logs - #1073
XSession-x2go: Hostname not set correctly

version graph

Package: x2goserver-xsession; Maintainer for x2goserver-xsession is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-xsession is src:x2goserver.

Reported by: Benjamin Shadwick <benshadwick@gmail.com>

Date: Sat, 13 Aug 2016 14:30:01 UTC

Severity: normal

Tags: pending

Fixed in version 4.0.1.20

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1073; Package x2goserver-xsession. (Sat, 13 Aug 2016 14:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Benjamin Shadwick <benshadwick@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 13 Aug 2016 14:30:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Benjamin Shadwick <benshadwick@gmail.com>
To: submit@bugs.x2go.org
Subject: XSession-x2go: Hostname not set correctly
Date: Sat, 13 Aug 2016 07:28:29 -0700
Package: x2goserver-xsession
Version 4.1.0.0-0~1355~ubuntu16.04.1

When trying to start an LXDE x2go session on an Ubuntu 16.04.1 LTS x64
server via a Windows client, I get a black screen with a white dialog
saying "XSession-x2go: Hostname not set correctly; aborting."

Debug logging doesn't have much more detail:

Aug 13 07:20:55 shodan /usr/bin/x2gocmdexitmessage: command output
starts with: exec startlxde Loading profile from /etc/profile Loading
profile from /home/ben/.profile XSession-x2go: Hostname not set
correctly; aborting.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1073; Package x2goserver-xsession. (Sat, 13 Aug 2016 17:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 13 Aug 2016 17:15:02 GMT) (full text, mbox, link).


Message #10 received at 1073@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Benjamin Shadwick <benshadwick@gmail.com>, 1073@bugs.x2go.org
Subject: Re: [X2Go-Dev] XSession-x2go: Hostname not set correctly
Date: Sat, 13 Aug 2016 19:12:51 +0200
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

On 13.08.2016 04:28 PM, Benjamin Shadwick wrote:
> Package: x2goserver-xsession
> Version 4.1.0.0-0~1355~ubuntu16.04.1
> 
> When trying to start an LXDE x2go session on an Ubuntu 16.04.1 LTS x64
> server via a Windows client, I get a black screen with a white dialog
> saying "XSession-x2go: Hostname not set correctly; aborting."
> 
> Debug logging doesn't have much more detail:
> 
> Aug 13 07:20:55 shodan /usr/bin/x2gocmdexitmessage: command output
> starts with: exec startlxde Loading profile from /etc/profile Loading
> profile from /home/ben/.profile XSession-x2go: Hostname not set
> correctly; aborting.

Hey, that was quick. I only made that change yesterday.

As the error message says, your system's host name (as returned by the
hostname(1) shell utility) is not set correctly. What is its value?

An empty hostname ("") or a hostnames with the values "(none)" or "localhost"
are all considered to be invalid.

While I could consider "localhost" to be a valid hostname to some degree, it's
not unique enough so that, if the home dir is shared via NFS and multiple
machines with the hostname "localhost" access it, the log/error file (which
is now supposed to be unique per machine) wouldn't be really per-machine anymore.

Would including the "banned" hostnames be more informative to the user?



Mihai

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) moreinfo. Request was from Mihai Moldovan <ionic@ionic.de> to 1073-submit@bugs.x2go.org. (Sat, 13 Aug 2016 17:15:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1073; Package x2goserver-xsession. (Sat, 13 Aug 2016 21:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Benjamin Shadwick <benshadwick@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 13 Aug 2016 21:35:02 GMT) (full text, mbox, link).


Message #17 received at 1073@bugs.x2go.org (full text, mbox, reply):

From: Benjamin Shadwick <benshadwick@gmail.com>
To: 1073@bugs.x2go.org
Subject: Re: XSession-x2go: Hostname not set correctly
Date: Sat, 13 Aug 2016 14:29:27 -0700
$ hostname
shodan

$ hostname -A
shodan.intertron

$ cat /etc/hosts
127.0.0.1       localhost
127.0.1.1       shodan

# The following lines are desirable for IPv6 capable hosts
::1     ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1073; Package x2goserver-xsession. (Sat, 13 Aug 2016 21:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Benjamin Shadwick <benshadwick@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 13 Aug 2016 21:40:02 GMT) (full text, mbox, link).


Message #22 received at 1073@bugs.x2go.org (full text, mbox, reply):

From: Benjamin Shadwick <benshadwick@gmail.com>
To: 1073@bugs.x2go.org
Subject: XSession-x2go: Hostname not set correctly
Date: Sat, 13 Aug 2016 14:36:37 -0700
I see the problem:

cur_hostname="$(hostname)"
if [ -z "${cur_name}" ] || [ "${cur_hostname}" = "(none)" ] || [
"${cur_hostname}" = "localhost" ]; then
        errormsg "Hostname not set correctly; aborting."
fi


You're setting up a variable "cur_hostname" but then checking whether
"cur_name" is empty instead of cur_hostname. Of course it's empty, it
wasn't set!


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1073; Package x2goserver-xsession. (Sat, 13 Aug 2016 21:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 13 Aug 2016 21:50:03 GMT) (full text, mbox, link).


Message #27 received at 1073@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1073-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1073@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sat, 13 Aug 2016 23:47:14 +0200 (CEST)
tag #1073 pending
fixed #1073 4.0.1.20
thanks

Hello,

X2Go issue #1073 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=23bf7ca

The issue will most likely be fixed in src:x2goserver (4.0.1.20).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 23bf7ca7fee39676189490e27391ce6f418ca98a
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Sat Aug 13 23:46:53 2016 +0200

    x2goserver-xsession/etc/Xsession: fix wrong variable usage. Fixes: #1073.

diff --git a/debian/changelog b/debian/changelog
index f125f8b..b37edae 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -92,6 +92,8 @@ x2goserver (4.0.1.20-0x2go1) UNRELEASED; urgency=low
       xsession-x2go-errors file name. Part of #923.
     - x2goserver-xsession/etc/Xsession: rotate old log/error file before
       appending new data. Fixes: #923.
+    - x2goserver-xsession/etc/Xsession: fix wrong variable usage.
+      Fixes: #1073.
   * x2goserver.spec:
     - Add sudo and logcheck as BuildRequires and Requires. Don't own
       directories that are owned by sudo and logcheck. Logcheck is not


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 13 Aug 2016 21:50:04 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.20. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 13 Aug 2016 21:50:04 GMT) (full text, mbox, link).


Message sent on to Benjamin Shadwick <benshadwick@gmail.com>:
Bug#1073. (Sat, 13 Aug 2016 21:50:04 GMT) (full text, mbox, link).


Removed tag(s) moreinfo. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 13 Aug 2016 21:55:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1073; Package x2goserver-xsession. (Sun, 20 Nov 2016 15:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 20 Nov 2016 15:20:02 GMT) (full text, mbox, link).


Message #41 received at 1073@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 1073-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1073@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sun, 20 Nov 2016 12:43:01 +0100 (CET)
close #1073
thanks

Hello,

we are very hopeful that X2Go issue #1073 reported by you
has been resolved in the new release (4.0.1.20) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.20)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=71e1e82d82acc718da71301d2fbd67eb0a71ad44;hp=8a494e794402c1b124d861893d649726a9016eb7

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.20-0x2go1
Status: RELEASE
Date: Sun, 20 Nov 2016 12:39:36 +0100
Fixes: 799 812 888 889 903 922 923 985 1065 1068 1073
Changes: 
 x2goserver (4.0.1.20-0x2go1) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream version (4.0.1.20):
     - TERMINAL Session: Add support for qterminal
       (Lightweight terminal emulator written in Qt)
     - TRINITY: Add support for Q4OS
 .
   [ Mihai Moldovan ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2gogetapps: respect NoDisplay and Hidden values, don't
       parse the full desktop file if there are non-Desktop Entries groups.
       Based on a patch submitted by Jason Alavaliant. Fixes: #812.
     - x2goserver/bin/x2gogetapps: do not print spurious newlines.
     - Change string "X2go" to "X2Go" where appropriate.
     - Add runcommand.d hooks to x2goserver-extensions Makefile.
     - x2goserver/bin/x2gosessionlimit: don't iterate over the whole groups
       file. Only check the primary and secondary groups as returned by
       getgid()/getgroups(). Fixes long delays in session startup on machines
       with a gazillion of groups.
     - x2goserver/sbin/x2gocleansessions: re-fetch the current sessions' status
       before handling it. Using the "cached" value from the initial
       x2golistsessions run may be desynchronized with the actual current
       value. Avoids a race condition logging users out after they attached to a
       session.
     - x2goserver/sbin/x2gocleansessions: rename %remembered_sessions_since to
       %remembered_sessions_status_since. That's what it really is. Add
       comments to further clarify what it's actually doing. Change it to
       include a timestamp instead of the "iteration count multiplied by two"
       value. Compare timestamps to see if killing hanging nxagent processes is
       necessary.
     - x2goserver/sbin/x2gocleansessions: rename
       %remembered_sessions_status_since to
       %remembered_sessions_status_since_time. Add
       %remembered_sessions_status_since_iterations that will come in handy for
       the next change.
     - x2goserver/sbin/x2gocleansessions: give suspended-but-running sessions a
       grace period of one iteration. Fixes: #888.
     - x2goserver/sbin/x2gocleansessions: fix ugly missing whitespace.
     - x2goserver/sbin/x2gocleansessions: move up session status sync a bit,
       don't update session state when session has been removed from the
       database.
     - x2goserver/sbin/x2gocleansessions: unify log messages. Move dangling
       line around.
     - x2goserver/sbin/x2gocleansessions: whitespace only.
     - x2goserver/sbin/x2gocleansessions: also delete entries in the other,
       overlooked hashes.
     - x2goserver/sbin/x2gocleansessions: move socket and lock file cleanup
       into time-based block for finished/failed sessions.
     - x2goserver/sbin/x2gocleansessions: add @remembered_finished_sessions
       array. Merge with session list as queried from the database (won't
       include finished/failed sessions) and remember F-state sessions via this
       array. Only delete elements once work on these has been finished.
     - x2goserver/sbin/x2gocleansessions: don't add failed/finished sessions to
       remembered list if that list already includes them.
     - x2goserver/sbin/x2gocleansessions: don't use gmtime (time ()) but merely
       time (). The former one returns a formatted date-time string, which
       can't be checked by forming a difference. The latter one returns an UNIX
       timestamp, which is what we really want... minus leap seconds. Let's
       hope this doesn't bite back some time or later...
     - x2goserver/sbin/x2gocleansessions: add debugging output to show the
       state change when updating the cached state result.
     - x2goserver/sbin/x2gocleansessions: only output status refreshing debug
       message if the old and new states actually differ. Prevents log spam.
     - x2goserver/bin/x2gostartagent: changes to Robert Nowotny's SSH_PORT
       patch. Fixes: #922. Use default outgoing interface to determine IP
       address. Use the whole range of ${RANDOM}'s pool. Seed it for good
       measure. Change the default method to randomization instead of IP-based
       initialization. If IP-based initialization was requested but the default
       outgoing IP address unavailable, fall back to randomization.
     - x2goserver/bin/x2goruncommand: whitespace and comment changes only.
     - x2goserver/bin/x2gocleansessions: replace system_capture_stdout_output()
       with actual implementation. We don't have that function on the release
       branch.
     - x2goserver-xsession/etc/Xsession: use /bin/bash explicitly on RedHat-,
       Gentoo- and SuSE-based systems. Users might change /bin/sh to point to a
       shell like mksh or dash, which do not support the -l or -c flags to
       exec. C.f., BGO #575022 (Gentoo.)
     - x2goserver/bin/x2gomountdirs: remove blowfish Cipher spec hardcoded for
       sshfs mounts. The speed improvement is probably mostly an illusion
       (unless talking about high-bandwidth links) and more importantly recent
       OpenSSH server versions seem to disable the Blowfish cipher by default,
       leading to errors like "Connection reset by peer."
     - x2goserver/bin/x2goruncommand: whitespace only.
     - x2goserver/sbin/x2gocleansessions: add Perl documentation and --help,
       -h, -? and --man options. Fixes: #1065. Also print a usage message on
       unknown options.
     - x2goserver/man/man8/x2gocleansessions.8: drop obsolete man page.
     - x2goserver-xsession/etc/Xsession: fix uname calls when (potentially)
       creating session log/error file and add uname call where necessary.
     - x2goserver-xsession/etc/Xsession: include hostname in
       xsession-x2go-errors file name. Part of #923.
     - x2goserver-xsession/etc/Xsession: rotate old log/error file before
       appending new data. Fixes: #923.
     - x2goserver-xsession/etc/Xsession: fix wrong variable usage.
       Fixes: #1073.
     - x2goserver/sbin/x2gocleansessions: move in-file POD to end of file,
       rather than "commenting" out all the remaining code. Fixes: #1068.
     - x2goserver/sbin/x2godbadmin: exit earlier when not finding the required
       "x2gouser" user.
   * x2goserver.spec:
     - Add sudo and logcheck as BuildRequires and Requires. Don't own
       directories that are owned by sudo and logcheck. Logcheck is not
       available on *SUSE, FC < 20 and RHEL, so for those distros still own the
       directories.
     - Typo fix in comment: Recommands -> Recommends.
     - Fix installation on OpenSUSE 12.3 and higher: has replaced pwdutils with
       shadow. Also affects SLE{S,D} 12.
     - Add workaround documentation for sudoers on *SUSE 11.
     - Add shadow/shadow-utils/pwdutils Requires to x2goserver-printing
       sub package.
     - Add new dependency on bash.
     - Add new dependency on xkeyboard-config to x2goserver. Fixes: #903.
     - Add new dependency on perl and the Cwd module to x2goserver-xsession.
       Part of #923.
   * debian/control:
     - Add new dependency on bash.
     - Add new dependency on xkb-data to x2goserver.
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add new dependency on perl-modules for Cwd. Part of #923.
 .
   [ Henning Heinold ]
   * New upstream version (4.0.1.20):
     - x2goserver/sbin/x2godbadmin: remove trailing whitespace.
     - x2goserver/sbin/x2godbadmin: revoke all PRIVILEGES before trying to
       delete a user on postgres. Fixes: #889.
 .
   [ Mike Gabriel ]
   * debian/x2goserver.preinst:
     + Use proper comment header explaining about preinst script argument
       calls (not postinst).
 .
   [ Robert Nowotny ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2gostartagent: original patch for SSH_PORT
       randomization/IP-based initialization. Submitted as #922.
 .
   [ Stefan Baur ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2goruncommand: add the other trinity launcher scripts in
       order from newest to oldest. Fixes: #985.
 .
   [ Tor Perkins ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2goruncommand: capture x2goruncommand debug output for
       x2gofeature X2GO_XSESSION.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2golistdesktops: drop -u parameter to ss. Fixes: #799.
       We would filter out UDP sockets later anyway and the combination -lxu is
       known to be broken with some versions of iproute2.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sun, 20 Nov 2016 15:20:03 GMT) (full text, mbox, link).


Notification sent to Benjamin Shadwick <benshadwick@gmail.com>:
Bug acknowledged by developer. (Sun, 20 Nov 2016 15:20:03 GMT) (full text, mbox, link).


Message sent on to Benjamin Shadwick <benshadwick@gmail.com>:
Bug#1073. (Sun, 20 Nov 2016 15:20:05 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 19 Dec 2016 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jan 24 22:15:48 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.